Foxit PDF SDK

Instance Methods | List of all members
FSFiller Class Reference
Inheritance diagram for FSFiller:

## Instance Methods
(FSPointF *) | - getEditingTextCaretPosition:
| Get the text caret position when the text field or combo box is in the editing state. More...
(void) | - highlightFormFields:
| Decide whether to highlight form fields (including signature fields) or not. More...
(void) | - highlightFormFieldsAndSignatures:is_sign_highlight:
| Decide whether to highlight signature fields and other form fields or not. More...
(id) | - initWithForm:assist:
| Constructor. More...
(id) | - initWithOther:
| Constructor, with another filler object. More...
(BOOL) | - isEmpty
| Check whether current object is empty or not. More...
(BOOL) | - killFocus
| Kill focus from form. More...
(BOOL) | - onChar:flags:
| Call this function when a character code is about to be inputted to a form field. More...
(BOOL) | - onCopy
| Call this function when the popup menu item "Copy" is down. More...
(BOOL) | - onCut
| Call this function when the popup menu item "Cut" is down. More...
(BOOL) | - onDelete
| Call this function when the popup menu item "Delete" is down. More...
(BOOL) | - onKeyDown:flags:
| Call this function when key on the keyboard is down. More...
(BOOL) | - onKeyUp:flags:
| Call this function when key on the keyboard is up. More...
(BOOL) | - onLButtonDoubleClick:point:flags:
| Call this function when left mouse button is double clicked. More...
(BOOL) | - onLButtonDown:point:flags:
| Call this function when left mouse button is down. More...
(BOOL) | - onLButtonUp:point:flags:
| Call this function when left mouse button is up. More...
(BOOL) | - onMouseEnter:point:flags:
| (Reserved, unsupported yet) Call this function when mouse enters somewhere. More...
(BOOL) | - onMouseHover:point:flags:
| (Reserved, unsupported yet) Call this function when mouse hovers somewhere. More...
(BOOL) | - onMouseLeave:point:flags:
| (Reserved, unsupported yet) Call this function when mouse leaves somewhere. More...
(BOOL) | - onMouseMove:point:flags:
| Call this function when mouse moves. More...
(BOOL) | - onMouseWheel:point:delta:flags:
| (Reserved, unsupported yet) Call this function when mouse wheel moves. More...
(BOOL) | - onPaste
| Call this function when the popup menu item "Paste" is down. More...
(BOOL) | - onRButtonDoubleClick:point:flags:
| (Reserved, unsupported yet) Call this function when right mouse button is double clicked. More...
(BOOL) | - onRButtonDown:point:flags:
| Call this function when right mouse button is down. More...
(BOOL) | - onRButtonUp:point:flags:
| Call this function when right mouse button is up. More...
(BOOL) | - onSelectAll
| Call this function when the popup menu item "Select All" is down. More...
(BOOL) | - onWheelButtonDoubleClick:point:flags:
| (Reserved, unsupported yet) Call this function when mouse wheel button is double clicked. More...
(BOOL) | - onWheelButtonDown:point:flags:
| (Reserved, unsupported yet) Call this function when mouse wheel button is down. More...
(BOOL) | - onWheelButtonUp:point:flags:
| (Reserved, unsupported yet) Call this function when mouse wheel button is up. More...
(void) | - render:matrix:renderer:
| Draw the currently focused form control on the page. More...
(BOOL) | - setFocus:
| Set focus on a form control. More...
(void) | - setHighlightColor:
| Set the highlight color used for highlighting form fields. More...
(void) | - showOverflowIndicator:
| Decide whether to show the overflow indicator when the text in text field overflow. More...

## Detailed Description

This class represents a form filler used for filling PDF form. There should be only one form filler object for an interactive form, so do not construct form filler for one FSForm object more than one time. User is recommended to implement an FSActionCallback and set it to Foxit PDF SDK by function FSLibrary::setActionCallback:, in order to implement more features of form filler.

See also
  FSLibrary

## Method Documentation

## ◆ getEditingTextCaretPosition:()

- (FSPointF *) getEditingTextCaretPosition: |  | (FSMatrix2D*) | matrix |

Get the text caret position when the text field or combo box is in the editing state.

Parameters

  [in] | matrix | A matrix used to transform the returned position to device coordinate system.

Returns
  A position of the top of the text caret in device coordinate system.
  (-1,-1) means that there are no text field or combo box in the editing state.

## ◆ highlightFormFields:()

- (void) highlightFormFields: |  | (BOOL) | is_highlight |

Decide whether to highlight form fields (including signature fields) or not.

All types of form fields can be highlighted except push button fields. If this function is not called, Foxit PDF SDK will highlight all form fields (including signature fields) by default.

Parameters

  [in] | is_highlight | YES means to highlight form fields (including signature fields), and NO means not to highlight form fields (including signature fields).

Returns
  None.

## ◆ highlightFormFieldsAndSignatures:is_sign_highlight:()

- (void) highlightFormFieldsAndSignatures: |  | (BOOL) | is_highlight
is_sign_highlight: |  | (BOOL) | is_sign_highlight

Decide whether to highlight signature fields and other form fields or not.

All types of form fields can be highlighted except push button fields. If this function is not called, Foxit PDF SDK will highlight all form fields by default apart from signature fields which are not highlighted by default.

Parameters

  [in] | is_highlight | This boolean value is used for non-signature fields: YES means to highlight form fields, and NO means not to highlight form fields.
  [in] | is_sign_highlight | This boolean value is used only for siganture fields: YES means to highlight signature fields, and NO means not to highlight signature fields.

Returns
  None.

## ◆ initWithForm:assist:()

- (id) initWithForm: |  | (FSForm*) | form
assist: |  | (id<FSFillerAssistCallback>) | assist

Constructor.

There can be only one form filler for a form.

Parameters

  [in] | form | A valid PDF form.
  [in] | assist | An assistant callback class for form filler. This should be implemented by user and should not be nil.

## ◆ initWithOther:()

- (id) initWithOther: |  | (FSFiller*) | other |

Constructor, with another filler object.

Parameters

  [in] | other | Another filler object.

## ◆ isEmpty()

- (BOOL) isEmpty |  |  |

Check whether current object is empty or not.

When the current object is empty, that means current object is useless.

Returns
  YES means current object is empty, while NO means not.

## ◆ killFocus()

- (BOOL) killFocus |  |  |

Kill focus from form.

Returns
  YES means success, while NO means failure.

## ◆ onChar:flags:()

- (BOOL) onChar: |  | (unsigned int) | char_code
flags: |  | (unsigned int) | flags

Call this function when a character code is about to be inputted to a form field.

Parameters

  [in] | char_code | A character code, in UTF16-LE encoding.
  [in] | flags | Event flags. Please refer to values starting from FSFillerEventFlagShiftKey and this should be one or a combination of these values.

Returns
  YES means success, while NO means failure.

## ◆ onCopy()

- (BOOL) onCopy |  |  |

Call this function when the popup menu item "Copy" is down.

Returns
  YES means success, while NO means failure.

## ◆ onCut()

- (BOOL) onCut |  |  |

Call this function when the popup menu item "Cut" is down.

Returns
  YES means success, while NO means failure.

## ◆ onDelete()

- (BOOL) onDelete |  |  |

Call this function when the popup menu item "Delete" is down.

Returns
  YES means success, while NO means failure.

## ◆ onKeyDown:flags:()

- (BOOL) onKeyDown: |  | (unsigned int) | key_code
flags: |  | (unsigned int) | flags

Call this function when key on the keyboard is down.

Parameters

  [in] | key_code | The key code. Please refer to values starting from FSFillerVkeyUnknown and this should be one of these values.
  [in] | flags | Event flags. Please refer to values starting from FSFillerEventFlagShiftKey and this should be one or a combination of these values.

Returns
  YES means success, while NO means failure. Currently this function does not support to be used yet, so this function will always return YES.

## ◆ onKeyUp:flags:()

- (BOOL) onKeyUp: |  | (unsigned int) | key_code
flags: |  | (unsigned int) | flags

Call this function when key on the keyboard is up.

Parameters

  [in] | key_code | The key code. Please refer to values starting from FSFillerVkeyUnknown and this should be one of these values.
  [in] | flags | Event flags. Please refer to values starting from FSFillerEventFlagShiftKey and this should be one or a combination of these values.

Returns
  YES means success, while NO means failure. Currently this function does not support to be used yet, so this function will always return YES.

## ◆ onLButtonDoubleClick:point:flags:()

- (BOOL) onLButtonDoubleClick: |  | (FSPDFPage*) | page
point: |  | (FSPointF*) | point
flags: |  | (unsigned int) | flags

Call this function when left mouse button is double clicked.

Parameters

  [in] | page | A valid PDF page object.
  [in] | point | A point where left mouse button is up in the page, in PDF coordinate system.
  [in] | flags | Event flags. Please refer to values starting from FSFillerEventFlagShiftKey and this should be one or a combination of these values.

Returns
  YES means success, while NO means failure.

## ◆ onLButtonDown:point:flags:()

- (BOOL) onLButtonDown: |  | (FSPDFPage*) | page
point: |  | (FSPointF*) | point
flags: |  | (unsigned int) | flags

Call this function when left mouse button is down.

Parameters

  [in] | page | A valid PDF page object.
  [in] | point | A point where left mouse button is down in the page, in PDF coordinate system.
  [in] | flags | Event flags. Please refer to values starting from FSFillerEventFlagShiftKey and this should be one or a combination of these values.

Returns
  YES means success, while NO means failure.

## ◆ onLButtonUp:point:flags:()

- (BOOL) onLButtonUp: |  | (FSPDFPage*) | page
point: |  | (FSPointF*) | point
flags: |  | (unsigned int) | flags

Call this function when left mouse button is up.

Parameters

  [in] | page | A valid PDF page object.
  [in] | point | A point where left mouse button is up in the page, in PDF coordinate system.
  [in] | flags | Event flags. Please refer to values starting from FSFillerEventFlagShiftKey and this should be one or a combination of these values.

Returns
  YES means success, while NO means failure.

## ◆ onMouseEnter:point:flags:()

- (BOOL) onMouseEnter: |  | (FSPDFPage*) | page
point: |  | (FSPointF*) | point
flags: |  | (unsigned int) | flags

(Reserved, unsupported yet) Call this function when mouse enters somewhere.

Parameters

  [in] | page | A valid PDF page object.
  [in] | point | A point where left mouse button is up in the page, in PDF coordinate system.
  [in] | flags | Event flags. Please refer to values starting from FSFillerEventFlagShiftKey and this should be one or a combination of these values.

Returns
  YES means success, while NO means failure. Currently this function does not support to be used yet, so this function will always return NO.

## ◆ onMouseHover:point:flags:()

- (BOOL) onMouseHover: |  | (FSPDFPage*) | page
point: |  | (FSPointF*) | point
flags: |  | (unsigned int) | flags

(Reserved, unsupported yet) Call this function when mouse hovers somewhere.

Parameters

  [in] | page | A valid PDF page object.
  [in] | point | A point where left mouse button is up in the page, in PDF coordinate system.
  [in] | flags | Event flags. Please refer to values starting from FSFillerEventFlagShiftKey and this should be one or a combination of these values.

Returns
  YES means success, while NO means failure. Currently this function does not support to be used yet, so this function will always return NO.

## ◆ onMouseLeave:point:flags:()

- (BOOL) onMouseLeave: |  | (FSPDFPage*) | page
point: |  | (FSPointF*) | point
flags: |  | (unsigned int) | flags

(Reserved, unsupported yet) Call this function when mouse leaves somewhere.

Parameters

  [in] | page | A valid PDF page object.
  [in] | point | A point where left mouse button is up in the page, in PDF coordinate system.
  [in] | flags | Event flags. Please refer to values starting from FSFillerEventFlagShiftKey and this should be one or a combination of these values.

Returns
  YES means success, while NO means failure. Currently this function does not support to be used yet, so this function will always return NO.

## ◆ onMouseMove:point:flags:()

- (BOOL) onMouseMove: |  | (FSPDFPage*) | page
point: |  | (FSPointF*) | point
flags: |  | (unsigned int) | flags

Call this function when mouse moves.

Parameters

  [in] | page | A valid PDF page object.
  [in] | point | A point where left mouse button is up in the page, in PDF coordinate system.
  [in] | flags | Event flags. Please refer to values starting from FSFillerEventFlagShiftKey and this should be one or a combination of these values.

Returns
  YES means success, while NO means failure.

## ◆ onMouseWheel:point:delta:flags:()

- (BOOL) onMouseWheel: |  | (FSPDFPage*) | page
point: |  | (FSPointF*) | point
delta: |  | (int) | delta
flags: |  | (unsigned int) | flags

(Reserved, unsupported yet) Call this function when mouse wheel moves.

Parameters

  [in] | page | A valid PDF page object.
  [in] | point | A point where left mouse button is up in the page, in PDF coordinate system.
  [in] | delta | Indicates the amount the mouse wheel has been moved. A positive value means to be moved forward, and a negative value means to be moved backward.
  [in] | flags | Event flags. Please refer to values starting from FSFillerEventFlagShiftKey and this should be one or a combination of these values.

Returns
  YES means success, while NO means failure. Currently this function does not support to be used yet, so this function will always return NO.

## ◆ onPaste()

- (BOOL) onPaste |  |  |

Call this function when the popup menu item "Paste" is down.

Returns
  YES means success, while NO means failure.

## ◆ onRButtonDoubleClick:point:flags:()

- (BOOL) onRButtonDoubleClick: |  | (FSPDFPage*) | page
point: |  | (FSPointF*) | point
flags: |  | (unsigned int) | flags

(Reserved, unsupported yet) Call this function when right mouse button is double clicked.

Parameters

  [in] | page | A valid PDF page object.
  [in] | point | A point where left mouse button is up in the page, in PDF coordinate system.
  [in] | flags | Event flags. Please refer to values starting from FSFillerEventFlagShiftKey and this should be one or a combination of these values.

Returns
  YES means success, while NO means failure. Currently this function does not support to be used yet, so this function will always return NO.

## ◆ onRButtonDown:point:flags:()

- (BOOL) onRButtonDown: |  | (FSPDFPage*) | page
point: |  | (FSPointF*) | point
flags: |  | (unsigned int) | flags

Call this function when right mouse button is down.

Parameters

  [in] | page | A valid PDF page object.
  [in] | point | A point where left mouse button is up in the page, in PDF coordinate system.
  [in] | flags | Event flags. Please refer to values starting from FSFillerEventFlagShiftKey and this should be one or a combination of these values.

Returns
  YES means success, while NO means failure. Currently this function does not support to be used yet, so this function will always return NO.

## ◆ onRButtonUp:point:flags:()

- (BOOL) onRButtonUp: |  | (FSPDFPage*) | page
point: |  | (FSPointF*) | point
flags: |  | (unsigned int) | flags

Call this function when right mouse button is up.

Parameters

  [in] | page | A valid PDF page object.
  [in] | point | A point where left mouse button is up in the page, in PDF coordinate system.
  [in] | flags | Event flags. Please refer to values starting from FSFillerEventFlagShiftKey and this should be one or a combination of these values.

Returns
  YES means success, while NO means failure. Currently this function does not support to be used yet, so this function will always return NO.

## ◆ onSelectAll()

- (BOOL) onSelectAll |  |  |

Call this function when the popup menu item "Select All" is down.

Returns
  YES means success, while NO means failure.

## ◆ onWheelButtonDoubleClick:point:flags:()

- (BOOL) onWheelButtonDoubleClick: |  | (FSPDFPage*) | page
point: |  | (FSPointF*) | point
flags: |  | (unsigned int) | flags

(Reserved, unsupported yet) Call this function when mouse wheel button is double clicked.

Parameters

  [in] | page | A valid PDF page object.
  [in] | point | A point where left mouse button is up in the page, in PDF coordinate system.
  [in] | flags | Event flags. Please refer to values starting from FSFillerEventFlagShiftKey and this should be one or a combination of these values.

Returns
  YES means success, while NO means failure. Currently this function does not support to be used yet, so this function will always return NO.

## ◆ onWheelButtonDown:point:flags:()

- (BOOL) onWheelButtonDown: |  | (FSPDFPage*) | page
point: |  | (FSPointF*) | point
flags: |  | (unsigned int) | flags

(Reserved, unsupported yet) Call this function when mouse wheel button is down.

Parameters

  [in] | page | A valid PDF page object.
  [in] | point | A point where left mouse button is up in the page, in PDF coordinate system.
  [in] | flags | Event flags. Please refer to values starting from FSFillerEventFlagShiftKey and this should be one or a combination of these values.

Returns
  YES means success, while NO means failure. Currently this function does not support to be used yet, so this function will always return NO.

## ◆ onWheelButtonUp:point:flags:()

- (BOOL) onWheelButtonUp: |  | (FSPDFPage*) | page
point: |  | (FSPointF*) | point
flags: |  | (unsigned int) | flags

(Reserved, unsupported yet) Call this function when mouse wheel button is up.

Parameters

  [in] | page | A valid PDF page object.
  [in] | point | A point where left mouse button is up in the page, in PDF coordinate system.
  [in] | flags | Event flags. Please refer to values starting from FSFillerEventFlagShiftKey and this should be one or a combination of these values.

Returns
  YES means success, while NO means failure. Currently this function does not support to be used yet, so this function will always return NO.

## ◆ render:matrix:renderer:()

- (void) render: |  | (FSPDFPage*) | page
matrix: |  | (FSMatrix2D*) | matrix
renderer: |  | (FSRenderer*) | renderer

Draw the currently focused form control on the page.

If there is no focused form control on the page, nothing will be drawn by this function. The focused form control has to be the topmost visible element, so that it should be always rendered after page content and all the other annotations have been rendered.
For how to render form control (which is associated with widget annotations), please refer to the recommended flow mentioned in comment of class Renderer.

Parameters

  [in] | page | A valid PDF page object.
  [in] | matrix | The transformation matrix used for rendering, which is usually returned by function FSPDFPage::getDisplayMatrix:top:width:height:rotate:.
  [in] | renderer | A valid renderer object for rendering.

Returns
  None.

## ◆ setFocus:()

- (BOOL) setFocus: |  | (FSControl*) | control |

Set focus on a form control.

Parameters

  [in] | control | A form control object. If this is constructed by default constructor and not set any value, that means no focus control.

Returns
  YES means success, while NO means failure.

## ◆ setHighlightColor:()

- (void) setHighlightColor: |  | (unsigned int) | color |

Set the highlight color used for highlighting form fields.

If this function is not called, Foxit PDF SDK will use a kind of light blue grey color (value 0x80C8D2FF) by default.

Parameters

  [in] | color | The highlight color to be set for highlighting form fields.

Returns
  None.

## ◆ showOverflowIndicator:()

- (void) showOverflowIndicator: |  | (BOOL) | is_show_overflow_indicator |

Decide whether to show the overflow indicator when the text in text field overflow.

If this function is not called, Foxit PDF SDK will not show form field overflow indicator by default.

Parameters

  [in] | is_show_overflow_indicator | YES means to show overflow indicator when the text in text field overflow, and NO means not to show overflow indicator in this case.

Returns
  None.